Subject: Re: bug#61514: 30.0.50; sadistically long xml line hangs emacs

From: Gregory Heytings <[email-masked]>
Date: Tue, 14 Feb 2023 22:05:17 +0000

Thanks for your bug report, and for the detailed recipe!

>
> Bottom line: Emacs 30 is handling files with long lines worse than Emacs 
> 28.
>

You jump to a conclusion a bit too fast.  It's not a bug in Emacs in 
general, it's a bug in nXML, and specifically in its fontification 
routines.  Try the same recipe, but with fontification turned off:

emacs -Q
M-x global-font-lock-mode
C-x C-f a.xml

and you'll see that Emacs opens that file just fine, and that you can edit 
it normally.